[Update] net/libpsl : Update to 0.21.1

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[Update] net/libpsl : Update to 0.21.1

wen heping
Hi,

   Here is a patch for net/libpsl :
      i) Update to 0.21.1
      ii) Switch build with python3
      iii) Regenerator the patch

   It build well and pass all tests on amd64-current system.

   3 ports depends on libpsl:
      net/wget
      net/lua-psl
      devel/libsoup
   all build well with this patch, wget run well too.

Cheers !
wen

libpsl-0.21.1.diff.txt (4K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [Update] net/libpsl : Update to 0.21.1

Jeremie Courreges-Anglas-2
On Fri, Jan 15 2021, wen heping <[hidden email]> wrote:

> Hi,
>
>    Here is a patch for net/libpsl :
>       i) Update to 0.21.1
>       ii) Switch build with python3
>       iii) Regenerator the patch
>
>    It build well and pass all tests on amd64-current system.
>
>    3 ports depends on libpsl:
>       net/wget
>       net/lua-psl
>       devel/libsoup
>    all build well with this patch, wget run well too.
>
> Cheers !

Committed with two slight tweaks:
- don't hardcode the version in MASTER_SITES
- drop MAINTAINER.  I thought I would get notified by portroach about
  new release but that obviously didn't work, and I don't actually use the
  port.  If you want to maintain this port, just say so!

--
jca | PGP : 0x1524E7EE / 5135 92C1 AD36 5293 2BDF  DDCC 0DFA 74AE 1524 E7EE